com.ibm.openpages.api.workflow

## Enum WFObjectReferenceType

- java.lang.Object
- - java.lang.Enum<WFObjectReferenceType>
  - - com.ibm.openpages.api.workflow.WFObjectReferenceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WFObjectReferenceType>

      public enum WFObjectReferenceType
      extends java.lang.Enum<WFObjectReferenceType>

  Enumeration that represents types of object reference used by `IWFObjectFieldEval`.
  Since:
    8.0.0.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `child` reference to descendant(s).
    `directChild` reference to direct child(ren) `IWFObjectsEval.getObjectType()` cannot be null.
    `directParent` reference to direct parent(s).
    `parent` reference to ascendant(s).
    `preference` reference to closest preference object(s).
    `self` reference to the object in the context itself

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WFObjectReferenceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WFObjectReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### self

          public static final WFObjectReferenceType self

      reference to the object in the context itself

    - #### directParent

          public static final WFObjectReferenceType directParent

      reference to direct parent(s). `IWFObjectsEval.getObjectType()` cannot be null.

    - #### parent

          public static final WFObjectReferenceType parent

      reference to ascendant(s). In addition to `IWFObjectsEval.getObjectType()`, `IWFObjectsEval.getReferencePaths()` cannot be empty for the reference type.

    - #### directChild

          public static final WFObjectReferenceType directChild

      reference to direct child(ren) `IWFObjectsEval.getObjectType()` cannot be null.

    - #### child

          public static final WFObjectReferenceType child

      reference to descendant(s). In addition to `IWFObjectsEval.getObjectType()`, `IWFObjectsEval.getReferencePaths()` cannot be empty for the reference type.

    - #### preference

          public static final WFObjectReferenceType preference

      reference to closest preference object(s). The discovery logic is looks up all the ascendant business entities from the object in the context, then find the preference object as child of business entity. Optionally `IWFObjectsEval.getObjectType()` can be specified and also, `IWFObjectsEval.getCondition()` can be set.

  - ### Method Detail

    - #### values

          public static WFObjectReferenceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WFObjectReferenceType c : WFObjectReferenceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WFObjectReferenceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.